/**
 * PurgeCSS 설정에서 vue-ui 의 style 을 safelist 로 등록하기 위한 설정.
 *
 * ```vite.config.ts
 * import {vueUiSafeStyles} from "@g1cloud/vue-ui/tool/vue-ui-tools"
 *
 * // vite.config.ts 의 vite-plugin-purgecss 설정에서 아래와 같이 safelist 를 등록할 수 있다.
 *   safelist: {
 *     deep: [
 *       ...vueUiSafeStyles,
 *       // 그 외의 safelist 항목들
 *     ]
 *   }
 * ```
 */
export const vueUiSafeStyles = [
  /^icon-font$/,
  /^vld-.*/,
  /^vue-skeletor/,
]

/**
 * PurgeCSS 설정에서 content 를 등록하기 위한 설정.
 */
export const vueUiContents = [
  './node_modules/@g1cloud/vue-ui/dist/*.css',
  './node_modules/@g1cloud/vue-ui/dist/*.js'
]
